Skip to content

スキル作成 Tier 4

POST/api/skillsCopied!

ワークスペーススキルを作成します。

Proプランが必要です

Skill RegistryはProプラン以上で利用できます。
作成できるスキル数はプランの制限に従います。

ts
const skill = await client.skills.create({
  name: "Review Helper",
  description: "Summarizes review context.",
  metadata: { category: "review" },
  allowedTools: ["browser"],
  license: "MIT",
});
bash
youvico skill create \
  --name "Review Helper" \
  --description "Summarizes review context." \
  --metadata '{"category":"review"}' \
  --allowed-tool browser \
  --license MIT
bash
curl -X POST 'https://api.youvico.com/api/skills' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{ "name": "Review Helper", "description": "Summarizes review context.", "metadata": { "category": "review" }, "allowedTools": ["browser"], "license": "MIT" }'
json
{
  "data": {
    "id": "SK1234567890ABCD"
  }
}

リクエスト

ボディ

namestringrequired

1-100 characters

スキル名
descriptionstringrequired

1-1024 characters

スキル説明
metadataRecord<string, string>
スキルに保存する文字列メタデータ
allowedToolsstring[]
許可されたツール識別子
licensestring
スキルライセンス

レスポンス

201 Created を返します。

dataobject
作成されたスキル
data.idstring
作成されたスキルID

Example: SK1234567890ABCD